Last Comment Bug 765004 - search suggestions ajax view is tracebacking
: search suggestions ajax view is tracebacking
Status: VERIFIED FIXED
:
Product: Marketplace
Classification: Server Software
Component: Code Quality (show other bugs)
: 1.0
: x86 Mac OS X
: P4 normal (vote)
: 2013-01-17
Assigned To: Davor Spasovski [:spasovski]
:
:
Mentors:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2012-06-14 13:50 PDT by Davor Spasovski [:spasovski]
Modified: 2013-01-17 11:08 PST (History)
3 users (show)
See Also:
QA Whiteboard:
Iteration: ---
Points: ---


Attachments

Description Davor Spasovski [:spasovski] 2012-06-14 13:50:31 PDT
As reported by cvan:

https://marketplace-dev.allizom.org/en-US/search/suggestions?q=basecam is tracebacking: http://cl.ly/3j3B3g0h162m3Q2h1J05

Here's the traceback:

http://dpaste.com/759636/
Comment 1 Wil Clouser [:clouserw] 2012-11-05 15:58:02 PST
How are search suggestions working without this?  Do we need this URL?
Comment 2 Davor Spasovski [:spasovski] 2012-11-07 11:42:30 PST
Suggestions don't use this `/suggestions` view and I am not sure why it exists or if it needs to. I doubt this would be tough to fix but why have it if it's not needed.
Comment 3 Wil Clouser [:clouserw] 2012-11-07 13:04:08 PST
sweet.  let's kill it and see if anyone complains
Comment 4 Christopher Van Wiemeersch [:cvan] 2012-11-08 15:54:32 PST
(In reply to Davor Spasovski [:dspasovski] from comment #2)
> Suggestions don't use this `/suggestions` view and I am not sure why it
> exists or if it needs to. I doubt this would be tough to fix but why have it
> if it's not needed.

Yeah they do:

[08/Nov/2012 15:54:04] "GET /search/suggestions?q=sea&cat=apps HTTP/1.0" 200 1070
Comment 5 Wil Clouser [:clouserw] 2013-01-11 13:53:27 PST
-> Davor to solve this.  If it's used, fix, if it's not, remove.
Comment 6 Davor Spasovski [:spasovski] 2013-01-16 14:06:35 PST
Seems to no longer be an issue.
Comment 7 Christopher Van Wiemeersch [:cvan] 2013-01-16 14:09:01 PST
Oh yeah, I fixed this. You're welcome (:
Comment 8 krupa raj[:krupa] 2013-01-17 11:08:15 PST
verified fixed at https://marketplace-dev.allizom.org/search/suggestions?q=privat&lang=en-us

Note You need to log in before you can comment on or make changes to this bug.